Loading...
Searching...
No Matches
isomorphism.h File Reference
`#include <openbabel/bitvec.h>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OBIsomorphismMapper
class | OBIsomorphismMapper::Functor

## Namespaces

namespace | OpenBabel

## Typedefs

typedef OBIsomorphismMapper::Mapping | Automorphism
typedef OBIsomorphismMapper::Mappings | Automorphisms

## Functions

bool | MapsTo (const OBIsomorphismMapper::Mapping &map, unsigned int queryIndex, unsigned int &queriedIndex)
bool | FindAutomorphisms (OBMol *mol, std::vector< OBIsomorphismMapper::Mapping > &aut, const std::vector< unsigned int > &symmetry_classes, const OBBitVec &mask=OBBitVec(), std::size_t maxMemory=3000000)
bool | FindAutomorphisms (OBMol *mol, std::vector< OBIsomorphismMapper::Mapping > &aut, const OBBitVec &mask=OBBitVec(), std::size_t maxMemory=3000000)
void | FindAutomorphisms (OBIsomorphismMapper::Functor &functor, OBMol *mol, const std::vector< unsigned int > &symmetry_classes, const OBBitVec &mask=OBBitVec())

## Detailed Description

OBIsomorphismMapper class for finding isomorphisms.